> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Wallet Setup Reminder

> Emails wallet setup reminders to listed employees flagged as lacking a valid wallet.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/send-wallet-setup-reminder
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/send-wallet-setup-reminder:
    post:
      operationId: sendWalletSetupReminder
      summary: Send Wallet Setup Reminder
      description: >-
        Emails wallet setup reminders to listed employees flagged as lacking a
        valid wallet.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendWalletSetupReminderRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendWalletSetupReminderResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SendWalletSetupReminderRequest:
      type: object
      properties:
        payrollId:
          type: string
          minLength: 1
          maxLength: 200
        employeeData:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 200
              employeeId:
                type: string
                minLength: 1
                maxLength: 200
              employeeName:
                type: string
                maxLength: 200
              totalCompensation:
                type: number
              totalDeduction:
                type: number
              currency:
                type: string
                minLength: 1
                maxLength: 20
              stableCoinPercentage:
                type: number
                minimum: 0
                maximum: 100
              hasTGAProfile:
                type: boolean
              hasValidWallet:
                type: boolean
              hasPayrollError:
                type: boolean
              minimumWage:
                type: number
              netPayFiat:
                type: number
              netPayStableCoin:
                type: number
              hasMinimumWageError:
                type: boolean
            required:
              - id
              - employeeId
              - employeeName
              - totalCompensation
              - totalDeduction
              - currency
          maxItems: 10000
      required:
        - payrollId
        - employeeData
    SendWalletSetupReminderResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
